org.apache.ignite.cache.store.jdbc.dialect

## Class H2Dialect

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect
  - - org.apache.ignite.cache.store.jdbc.dialect.H2Dialect

All Implemented Interfaces:
  Serializable, JdbcDialect

    public class H2Dialect
    extends BasicJdbcDialect

A dialect compatible with the H2 database.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

`DFLT_MAX_PARAMS_CNT, fetchSize, maxParamsCnt`

### Constructor Summary

Constructors
Constructor and Description
`H2Dialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasMerge()`
`String` `mergeQuery(String fullTblName, Collection<String> keyCols, Collection<String> uniqCols)` Construct merge query.

### Methods inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

`escape, getFetchSize, getMaxParameterCount, insertQuery, loadCacheQuery, loadCacheRangeQuery, loadCacheSelectRangeQuery, loadQuery, mkString, mkString, mkString, removeQuery, repeat, setFetchSize, setMaxParameterCount, updateQuery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H2Dialect

    public H2Dialect()

### Method Detail

#### hasMerge

    public boolean hasMerge()

Specified by:
  `hasMerge` in interface `JdbcDialect`
Overrides:
  `hasMerge` in class `BasicJdbcDialect`
Returns:
  `True` if database support merge operation.

#### mergeQuery

    public String mergeQuery(String fullTblName,
                             Collection<String> keyCols,
                             Collection<String> uniqCols)

Construct merge query.

Specified by:
  `mergeQuery` in interface `JdbcDialect`
Overrides:
  `mergeQuery` in class `BasicJdbcDialect`
Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `uniqCols` - Database unique value columns.
Returns:
  Merge query.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020